GLS ShipIT 5.0.11 GLS ShipIT - SOAP services

Public Member Functions | Protected Attributes | List of all members
eu.gls_group.fpcs.v1.common.ShopDeliveryService Class Reference

## Public Member Functions
String | getServiceName ()
void | setServiceName (String value)
String | getParcelShopID ()
void | setParcelShopID (String value)

## Protected Attributes
String | serviceName
String | parcelShopID

## Detailed Description

Shop delivery service attributes

Java class for ShopDeliveryService complex type.

The following schema fragment specifies the expected content contained within this class.

    <complexType name="ShopDeliveryService">
      <complexContent>
        <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
          <sequence>
            <element name="ServiceName" type="{http://www.w3.org/2001/XMLSchema}string"/>
            <element name="ParcelShopID" type="{http://fpcs.gls-group.eu/v1/Common}ParcelShopID"/>
          </sequence>
        </restriction>
      </complexContent>
    </complexType>

Definition at line 39 of file ShopDeliveryService.java.

## Member Function Documentation

## ◆ getParcelShopID()

String eu.gls_group.fpcs.v1.common.ShopDeliveryService.getParcelShopID | ( |  | ) |

Gets the value of the parcelShopID property.

Returns
  possible object is String

Definition at line 78 of file ShopDeliveryService.java.

## ◆ getServiceName()

String eu.gls_group.fpcs.v1.common.ShopDeliveryService.getServiceName | ( |  | ) |

Gets the value of the serviceName property.

Returns
  possible object is String

Definition at line 54 of file ShopDeliveryService.java.

## ◆ setParcelShopID()

void eu.gls_group.fpcs.v1.common.ShopDeliveryService.setParcelShopID | ( | String | value | ) |

Sets the value of the parcelShopID property.

Parameters

  value | allowed object is String

Definition at line 90 of file ShopDeliveryService.java.

## ◆ setServiceName()

void eu.gls_group.fpcs.v1.common.ShopDeliveryService.setServiceName | ( | String | value | ) |

Sets the value of the serviceName property.

Parameters

  value | allowed object is String

Definition at line 66 of file ShopDeliveryService.java.

## Member Data Documentation

## ◆ parcelShopID

String eu.gls_group.fpcs.v1.common.ShopDeliveryService.parcelShopID
| protected

Definition at line 44 of file ShopDeliveryService.java.

## ◆ serviceName

String eu.gls_group.fpcs.v1.common.ShopDeliveryService.serviceName
| protected

Definition at line 42 of file ShopDeliveryService.java.

The documentation for this class was generated from the following file:

- ShopDeliveryService.java